Run of fresh-releases for golang-github-domainr-whois

Try this locally package):

debcheckout golang-github-domainr-whois
cd golang-github-domainr-whois
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
[2022-05-23 07:44:01] Opening branch at https://gitlab.com/kalilinux/packages/golang-github-domainr-whois.git/,branch=kali%2Fmaster
[2022-05-23 07:44:02] Using cached branch https://janitor.kali.org/git/golang-github-domainr-whois/,branch=kali%2Flatest
[2022-05-23 07:44:02] Using resume branch: https://janitor.kali.org/git/golang-github-domainr-whois,branch=fresh-releases%2Fmain
[2022-05-23 07:44:02] Total 2105 (delta 608), reused 1301 (delta 0)
[2022-05-23 07:44:06] 0% (952/952), done.
[2022-05-23 07:44:06] Total 932 (delta 543), reused 194 (delta 0)
[2022-05-23 07:44:09] Total 928 (delta 524), reused 210 (delta 0)
[2022-05-23 07:44:09] All changes applied successfully.
[2022-05-23 07:44:12] 0), pack-reused 3
[2022-05-23 07:44:12] restarting branch
Traceback (most recent call last):
  File "/opt/janitor/silver-platter/silver_platter/workspace.py", line 210, in __enter__
    self.local_tree.pull(self.main_branch, overwrite=False)
  File "/opt/janitor/breezy/breezy/git/workingtree.py", line 1278, in pull
    local=local, tag_selector=tag_selector)
  File "/opt/janitor/breezy/breezy/branch.py", line 1059, in pull
    possible_transports=possible_transports, *args, **kwargs)
  File "/opt/janitor/breezy/breezy/git/branch.py", line 1326, in pull
    "history" in overwrite)
  File "/opt/janitor/breezy/breezy/git/branch.py", line 97, in _update_tip
    target.generate_revision_history(revid, last_rev, other_branch=source)
  File "/opt/janitor/breezy/breezy/git/branch.py", line 543, in generate_revision_history
    raise errors.DivergedBranches(self, other_branch)
breezy.errors.DivergedBranches: These branches have diverged. Use the missing command to see how.
Use the merge command to reconcile them.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/breezy/breezy/transport/local.py", line 155, in get
    return open(path, 'rb')
OSError: [Errno 24] Too many open files: '/home/janitor/tmp/janitorzq6ln_i9/golang-github-domainr-whois/.git/refs/heads/master'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 703, in process_package
    ws.__enter__()
  File "/opt/janitor/silver-platter/silver_platter/workspace.py", line 216, in __enter__
    self.local_tree.pull(self.main_branch, overwrite=True)
  File "/opt/janitor/breezy/breezy/git/workingtree.py", line 1278, in pull
    local=local, tag_selector=tag_selector)
  File "/opt/janitor/breezy/breezy/branch.py", line 1059, in pull
    possible_transports=possible_transports, *args, **kwargs)
  File "/opt/janitor/breezy/breezy/git/branch.py", line 1321, in pull
    result.old_revid = self.target.last_revision()
  File "/opt/janitor/breezy/breezy/git/branch.py", line 686, in last_revision
    if self.head is None:
  File "/opt/janitor/breezy/breezy/git/branch.py", line 804, in _get_head
    return self.repository._git.refs[self.ref]
  File "/opt/janitor/dulwich/dulwich/refs.py", line 322, in __getitem__
    _, sha = self.follow(name)
  File "/opt/janitor/dulwich/dulwich/refs.py", line 292, in follow
    contents = self.read_ref(refname)
  File "/opt/janitor/dulwich/dulwich/refs.py", line 265, in read_ref
    contents = self.read_loose_ref(refname)
  File "/opt/janitor/breezy/breezy/git/transportgit.py", line 210, in read_loose_ref
    f = transport.get(urlutils.quote_from_bytes(name))
  File "/opt/janitor/breezy/breezy/transport/local.py", line 159, in get
    self._translate_error(e, path)
  File "/opt/janitor/breezy/breezy/transport/__init__.py", line 372, in _translate_error
    raise errors.TransportError(orig_error=e)
breezy.errors.TransportError: Transport error: [Errno 24] Too many open files: '/home/janitor/tmp/janitorzq6ln_i9/golang-github-domainr-whois/.git/refs/heads/master' [Errno 24] Too many open files: '/home/janitor/tmp/janitorzq6ln_i9/golang-github-domainr-whois/.git/refs/heads/master'

Full worker log